Bug 1266312 - App shows in gnome-dash twice when favorited (WM_CLASS issue)
App shows in gnome-dash twice when favorited (WM_CLASS issue)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: keepass (Show other bugs)
23
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Peter Oliver
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 23:02 EDT by Matt Mossholder
Modified: 2015-12-02 18:50 EST (History)
2 users (show)

See Also:
Fixed In Version: keepass-2.30-4.fc23 keepass-2.30-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 16:51:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Mossholder 2015-09-24 23:02:34 EDT
Description of problem:
When keepass is in the favorites on the dash, launching it will add a second icon t o the dash.

Version-Release number of selected component (if applicable):
keepass-2.30-2.fc23.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Add keepass to the dash as a favorite
2. Launch keepass


Actual results:
Two icons for keepass in dash

Expected results:
One icon.

Additional info:
This is occurring because the .desktop file is named "keepass.desktop". If it were renamed to "keepass2.desktop", which matches the lowercased WM_CLASS as seen in xprop, the issue would be resolved.
Comment 1 Fedora Update System 2015-10-23 19:14:07 EDT
keepass-2.30-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8f85106dbf
Comment 2 Fedora Update System 2015-10-26 22:20:15 EDT
keepass-2.30-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update keepass'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8f85106dbf
Comment 3 Fedora Update System 2015-11-22 16:41:24 EST
keepass-2.30-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ce3bdbec7b
Comment 4 Fedora Update System 2015-11-22 16:50:00 EST
keepass-2.30-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-703a7aad00
Comment 5 Fedora Update System 2015-11-22 16:51:47 EST
keepass-2.30-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-aceb4313a9
Comment 6 Fedora Update System 2015-11-23 19:23:51 EST
keepass-2.30-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update keepass'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-aceb4313a9
Comment 7 Fedora Update System 2015-11-23 19:54:39 EST
keepass-2.30-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update keepass'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-703a7aad00
Comment 8 Fedora Update System 2015-11-23 21:24:02 EST
keepass-2.30-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update keepass'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ce3bdbec7b
Comment 9 Fedora Update System 2015-12-02 16:51:03 EST
keepass-2.30-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-12-02 18:50:17 EST
keepass-2.30-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.